package com.infoepoch.pms.agent.platform.chat.domain.irepository;

import com.infoepoch.pms.agent.platform.chat.domain.GraphThread;

import java.util.List;

/**
 * @author jiangyz
 * @date 2026/4/18 10:57
 */
public interface IGraphThreadRepository {

    /**
     * 新增
     * @param: [entity]
     */
    boolean insert(GraphThread entity);

    /**
     * 更新
     * @param: [entity]
     */
    boolean update(GraphThread entity);

    /**
     * 批量新增
     * @param: [entitys]
     */
    int[] batchInsert(List<GraphThread> entitys);

    /**
     * 批量更新
     * @param: [entitys]
     */
    int[] batchUpdate(List<GraphThread> entitys);

    /**
     * 删除
     * @param: [id]
     */
    boolean delete(String id);

    // region select

    /**
     * 根据Id查询
     * @param: [id]
     */
    GraphThread selectById(String id);

    /**
     * 根据查询条件查询单个对象
     * @param: [criteria]
     */
    GraphThread selectOneByCriteria(GraphThreadCriteria criteria);

    /**
     * 根据查询条件查询对象集合
     * @param: [criteria]
     */
    List<GraphThread> selectByCriteria(GraphThreadCriteria criteria);

    /**
     * 根据查询条件分页查询对象结合
     * @param: [criteria, pageNum, pageSize]
     */
    List<GraphThread> selectCriteriaByPage(GraphThreadCriteria criteria, int pageNum, int pageSize);

    /**
     * 根据条件查询对象总记录数
     * @param: [criteria]
     */
    Integer selectCountByCriteria(GraphThreadCriteria criteria);

    // endregion

}
